Page MenuHomeFreeBSD

Update pyqt to 5.6.2
ClosedPublic

Authored by adridg on Nov 1 2016, 7:28 AM.

Details

Summary

Update PyQT from 5.5.1 to 5.6.2 to match the Qt updates that have
already landed in the ports tree.

Test Plan

Builds on 10-STABLE amd64, also parallel with PyQt4. Needs runtime
testing through PyQT applications (Scintilla, and there's an
audio tagger thingy).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg updated this revision to Diff 21872.Nov 1 2016, 7:28 AM
adridg retitled this revision from to Update pyqt to 5.6.2.
adridg updated this object.
adridg edited the test plan for this revision. (Show Details)
adridg added reviewers: tcberner, rakuco.
tcberner accepted this revision.Nov 2 2016, 4:37 PM
tcberner edited edge metadata.

Looks good to me.

rakuco accepted this revision.Nov 7 2016, 10:12 AM
rakuco edited edge metadata.

Looks fine to me too; in my memory PyQt updates used to be bigger and more difficult to handle. Did you file an exp-run request for this? While the diff looks small, we had several issues with PyQt updates in the past.

This revision was automatically updated to reflect the committed changes.